
import java.io.IOException;
import java.io.PrintWriter;
import html.HtmlWriter;
import java.util.Arrays;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SoucetCisel extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setCharacterEncoding("utf-8");


        PrintWriter out = response.getWriter();
        HtmlWriter.printHeader(out, "3. Součet čísel");
        
        int suma = 0;
        int i = 0;
        String[] cisla = request.getParameterValues("cisla[]");
        if (cisla == null) {
            HtmlWriter.printError(out, "Nebyla přijata žádná čísla!");
            HtmlWriter.printFooter(out);
            return;
        }
        try {

            for (i = 0; i < cisla.length; i++) {
                int cislo = Integer.parseInt(cisla[i]);
                suma += cislo;
            }
        } catch (NumberFormatException nfe) {
            HtmlWriter.printError(out, "Zadaná hodnota nebyla číslo: "
                    + "\"<strong>" + cisla[i] + "</strong>\"");
            HtmlWriter.printFooter(out);
            return;
       }
       
        out.print("<p>SUM: "+ Arrays.toString(cisla) + " = <strong>"+suma+"</strong></p>");
        HtmlWriter.printFooter(out);
    }
}
